Bug 198750 - Data transfer to Nokia E60 not possible on FC5, works fine on RHEL4
Data transfer to Nokia E60 not possible on FC5, works fine on RHEL4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 05:28 EDT by Patrick C. F. Ernzer
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 07:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2006-07-13 05:28:52 EDT
Description of problem:
While under RHEL 4 I can connect my Nokia E60 (Series 60 release 3) just fine
and it gets mounted automagically, this fails on FC 5 (Buffer I/O error)

As the FC5 and the RHEL4 machines are not the same, I have tested on two FC5
machines to exclude hardware badness


Version-Release number of selected component (if applicable):
2.6.17-1.2145_FC5smp

How reproducible:
always

Steps to Reproduce:
1. connect Nokia E60 to FC5 computer via Nokia-provided cable
2. select 'Data transfer on the phone
3. look at /var/log/messages
  
Actual results:
Jul 12 13:44:45 bofferding-pcfe kernel: usb 3-1: new full speed USB device using
uhci_hcd and address 3
Jul 12 13:44:45 bofferding-pcfe kernel: usb 3-1: configuration #1 chosen from 1
choice
Jul 12 13:44:45 bofferding-pcfe kernel: scsi4 : SCSI emulation for USB Mass
Storage devices
Jul 12 13:44:50 bofferding-pcfe kernel:   Vendor:           Model: Rev:
Jul 12 13:44:50 bofferding-pcfe kernel:   Type:   Direct-Access ANSI SCSI
revision: 00
Jul 12 13:44:50 bofferding-pcfe kernel: SCSI device sdb: 2004993 512-byte hdwr
sectors (1027 MB)
Jul 12 13:44:50 bofferding-pcfe kernel: sdb: Write Protect is off
Jul 12 13:44:50 bofferding-pcfe kernel: sdb: assuming drive cache: write through
Jul 12 13:44:50 bofferding-pcfe kernel: SCSI device sdb: 2004993 512-byte hdwr
sectors (1027 MB)
Jul 12 13:44:50 bofferding-pcfe kernel: sdb: Write Protect is off
Jul 12 13:44:50 bofferding-pcfe kernel: sdb: assuming drive cache: write through
Jul 12 13:44:50 bofferding-pcfe kernel:  sdb:
Jul 12 13:44:50 bofferding-pcfe kernel: sd 4:0:0:0: Attached scsi removable disk sdb
Jul 12 13:44:50 bofferding-pcfe kernel: sd 4:0:0:0: Attached scsi generic sg1 type 0
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004992
Jul 12 13:44:50 bofferding-pcfe kernel: printk: 662 messages suppressed.
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004992
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004992
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004992
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004992
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004992
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004992
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004992
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004928
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004928
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004929
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004930
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004931
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004932
Jul 12 13:44:50 bofferding-pcfe kernel: Buffer I/O error on device sdb, logical
block 2004933
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004928
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004976
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector
2004976
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector 0
Jul 12 13:44:50 bofferding-pcfe last message repeated 6 times
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector 40
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector 168
Jul 12 13:44:50 bofferding-pcfe kernel: end_request: I/O error, dev sdb, sector 0
Jul 12 13:44:51 bofferding-pcfe last message repeated 17 times


Expected results:
Jul 12 13:40:40 dhcp094169 kernel: usb 3-2: new full speed USB device
using address 4
Jul 12 13:40:40 dhcp094169 kernel: scsi27 : SCSI emulation for USB Mass
Storage devices
Jul 12 13:40:40 dhcp094169 kernel:   Vendor:           Model:
Rev:
Jul 12 13:40:40 dhcp094169 kernel:   Type:   Direct-Access
ANSI SCSI revision: 02
Jul 12 13:40:40 dhcp094169 kernel: SCSI device sda: 2004993 512-byte
hdwr sectors (1027 MB)
Jul 12 13:40:40 dhcp094169 kernel: sda: Write Protect is off
Jul 12 13:40:40 dhcp094169 kernel: sda: assuming drive cache: write
through
Jul 12 13:40:40 dhcp094169 kernel:  sda:
Jul 12 13:40:40 dhcp094169 kernel: Attached scsi removable disk sda at
scsi27, channel 0, id 0, lun 0
Jul 12 13:40:40 dhcp094169 scsi.agent[1332]: disk
at /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/host27/target27:0:0/27:0:0:0
Jul 12 13:40:43 dhcp094169 fstab-sync[1413]: added mount
point /media/1GB_pcfeE60 for /dev/sda
Jul 12 13:40:55 dhcp094169 pcfe: banana
Jul 12 13:41:08 dhcp094169 pcfe: E60 now connected, about to transfer
some data
Jul 12 13:42:09 dhcp094169 pcfe: copied a file, now abut to umount
Jul 12 13:42:33 dhcp094169 pcfe: umount complete

Additional info:
Jul 13 11:21:54 morn kernel: usb 2-1: new full speed USB device using uhci_hcd
and address 28
Jul 13 11:21:54 morn kernel: usb 2-1: configuration #1 chosen from 1 choice
Jul 13 11:21:54 morn kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Jul 13 11:21:59 morn kernel:   Vendor:           Model: Rev:
Jul 13 11:21:59 morn kernel:   Type:   Direct-Access ANSI SCSI revision: 00
Jul 13 11:21:59 morn kernel: SCSI device sda: 2004993 512-byte hdwr sectors
(1027 MB)
Jul 13 11:21:59 morn kernel: sda: Write Protect is off
Jul 13 11:21:59 morn kernel: sda: assuming drive cache: write through
Jul 13 11:21:59 morn kernel: SCSI device sda: 2004993 512-byte hdwr sectors
(1027 MB)
Jul 13 11:21:59 morn kernel: sda: Write Protect is off
Jul 13 11:21:59 morn kernel: sda: assuming drive cache: write through
Jul 13 11:21:59 morn kernel:  sda:
Jul 13 11:21:59 morn kernel: sd 4:0:0:0: Attached scsi removable disk sda
Jul 13 11:21:59 morn scsi.agent[29390]: disk at
/devices/pci0000:00/0000:00:10.0/usb2/2-1/2-1:1.0/host4/target4:0:0/4:0:0:0
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004992
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004992
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004992
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004992
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004928
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004928
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004929
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004930
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004931
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004932
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004933
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004934
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004934
Jul 13 11:22:00 morn kernel: Buffer I/O error on device sda, logical block 2004935
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004928
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004736
Jul 13 11:22:00 morn last message repeated 2 times
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004592
Jul 13 11:22:00 morn kernel: end_request: I/O error, dev sda, sector 2004592
Jul 13 11:22:54 morn kernel: usb 2-1: USB disconnect, address 28


Where:
  bofferding-pcfe = FC5 box, 2.6.17-1.2145_FC5smp, cable 1
  morn = FC5 box, 2.6.17-1.2141_FC4, cable 2
  dhcp094169 = RHEL4 box, 2.6.9-22.EL, cable 1

The reason for using two different cables is simply that the machine called morn
is in a different location.
Comment 1 Patrick C. F. Ernzer 2006-07-14 05:36:13 EDT
FWIW, this has also been reproduced with a Nokia E61 (also S60r3)
Comment 2 Dave Jones 2006-10-16 15:18:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Patrick C. F. Ernzer 2006-10-23 07:13:04 EDT
works fine with 2.6.18-1.2200.fc5

for testing I copied 100M onto the phone and copied them back. Diff says no
problems, syslog only logs the expected USB Mass Storage messages.

closing

Note You need to log in before you can comment on or make changes to this bug.